commit:     0280d4a259b2cb4393da0fb377422a667e611d73
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 15 15:46:10 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Tue Dec 15 15:46:34 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0280d4a2

dev-python/numpy: Version Bump

fixes performance regressions

Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=567938

Package-Manager: portage-2.2.26
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/numpy/Manifest            |   1 +
 dev-python/numpy/numpy-1.10.2.ebuild | 155 +++++++++++++++++++++++++++++++++++
 dev-python/numpy/numpy-9999.ebuild   | 138 +++++++++++++++++++++++++++++++
 3 files changed, 294 insertions(+)

diff --git a/dev-python/numpy/Manifest b/dev-python/numpy/Manifest
index 6baec64..2ec2993 100644
--- a/dev-python/numpy/Manifest
+++ b/dev-python/numpy/Manifest
@@ -1,4 +1,5 @@
 DIST numpy-1.10.1.tar.gz 4048478 SHA256 
8b9f453f29ce96a14e625100d3dcf8926301d36c5f622623bf8820e748510858 SHA512 
ea717bac913a8e63bf93822bddbfe7701a3de00051bf3c7020f5e22756987becb5a2f96a6a52a36fc7c2b856815a782e450099688ce86b21fa94b0076b9ef376
 WHIRLPOOL 
7671368bec55c7f53ffa78a509946acc998e6f4223da4f3429b82a5a38b5e0277a0f89773ec2335f8e46b5c695620a4119af5ab59734184054c31b11841de44b
+DIST numpy-1.10.2.tar.gz 4055005 SHA256 
23a3befdf955db4d616f8bb77b324680a80a323e0c42a7e8d7388ef578d8ffa9 SHA512 
040db49593f3c53c9b43301eacffc3b5817310f1dbb91fd650efcf5ba65ce7e217549dc5268bc56846f19f1a03dd19470989005aa176531af44d602b3546b007
 WHIRLPOOL 
30c4b365aac6623241afd72fc30d3a543183205eb23db1366937e39fc50dee862923dd249775fee67cce0199940a57ec1423f1cb0e65ff7c65764c7969d7a76f
 DIST numpy-1.8.2.tar.gz 3792998 SHA256 
6d487fc724780d66746bde264ea71f5cd77d3a39e52ee2b073dcaed63bc669db SHA512 
996e6b8e2d42f223e44660f56bf73eb8ab124f400d89218f8f5e4d7c9860ada44a4d7c54526137b0695c7a10f36e8834fbf0d42b7cb20bcdb5d5c245d673385c
 WHIRLPOOL 
0d3a05b1e3c0a1ceb0a7b4818406dbb45506e5f25bc2727d4ff44cc0a0520e6556b3c68ae24dbca37ba9d67ae2defbb3ff9c906d4c2635b29ed44452d70e8311
 DIST numpy-1.9.2.tar.gz 3986067 SHA256 
325e5f2b0b434ecb6e6882c7e1034cc6cdde3eeeea87dbc482575199a6aeef2a SHA512 
70470ebb9afef5dfd0c83ceb7a9d5f1b7a072b1a9b54b04f04f5ed50fbaedd5b4906bd500472268d478f94df9e749a88698b1ff30f2d80258e7f3fec040617d9
 WHIRLPOOL 
59f5dc52cb95c7ce80fec3a7feac6cfda1d149596bf6d95c18bd8314e31a8df494b2b470c4cc3d8c296c9fc11c718d70d5b9b5344337175ca75496504c0fd201
 DIST numpy-1.9.3.tar.gz 3984430 SHA256 
c3b74d3b9da4ceb11f66abd21e117da8cf584b63a0efbd01a9b7e91b693fbbd6 SHA512 
32531cd8d1480a50812454ef8e3b68c0f84b2a4bc5de0df1457070db7f6fd94cdb50e6479a85fa4d1dc569a10d28f6864d5069fcf2a32fa20fa8803476a3df8c
 WHIRLPOOL 
a0235594e793625d5e3cef57956f4710587158885f39d7d1267c9845b12fb1d39fb9987ec095720c2d285c7c726383a15471f3629b739b77186470e2c40ba093

diff --git a/dev-python/numpy/numpy-1.10.2.ebuild 
b/dev-python/numpy/numpy-1.10.2.ebuild
new file mode 100644
index 0000000..79f9a89
--- /dev/null
+++ b/dev-python/numpy/numpy-1.10.2.ebuild
@@ -0,0 +1,155 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+PYTHON_REQ_USE="threads(+)"
+
+FORTRAN_NEEDED=lapack
+
+inherit distutils-r1 eutils flag-o-matic fortran-2 multilib multiprocessing 
toolchain-funcs versionator
+
+DOC_PV="1.9.1"
+DOC_P="${PN}-${DOC_PV}"
+
+DESCRIPTION="Fast array and numerical python library"
+HOMEPAGE="http://www.numpy.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+       doc? (
+               http://docs.scipy.org/doc/${DOC_P}/${PN}-html-${DOC_PV}.zip
+               http://docs.scipy.org/doc/${DOC_P}/${PN}-ref-${DOC_PV}.pdf
+               http://docs.scipy.org/doc/${DOC_P}/${PN}-user-${DOC_PV}.pdf
+       )"
+# It appears the docs haven't been upgraded, still @ 1.8.1
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux 
~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris 
~x64-solaris ~x86-solaris"
+IUSE="doc lapack test"
+
+RDEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       lapack? ( virtual/cblas virtual/lapack )"
+DEPEND="${RDEPEND}
+       doc? ( app-arch/unzip )
+       lapack? ( virtual/pkgconfig )
+       test? ( >=dev-python/nose-1.0[${PYTHON_USEDEP}] )"
+
+# Uses distutils.command.config.
+DISTUTILS_IN_SOURCE_BUILD=1
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.9.2-no-hardcode-blas.patch
+)
+
+src_unpack() {
+       default
+       if use doc; then
+               unzip -qo "${DISTDIR}"/${PN}-html-${DOC_PV}.zip -d html || die
+       fi
+}
+
+pc_incdir() {
+       $(tc-getPKG_CONFIG) --cflags-only-I $@ | \
+               sed -e 's/^-I//' -e 's/[ ]*-I/:/g' -e 's/[ ]*$//' -e 's|^:||'
+}
+
+pc_libdir() {
+       $(tc-getPKG_CONFIG) --libs-only-L $@ | \
+               sed -e 's/^-L//' -e 's/[ ]*-L/:/g' -e 's/[ ]*$//' -e 's|^:||'
+}
+
+pc_libs() {
+       $(tc-getPKG_CONFIG) --libs-only-l $@ | \
+               sed -e 's/[ ]-l*\(pthread\|m\)\([ ]\|$\)//g' \
+               -e 's/^-l//' -e 's/[ ]*-l/,/g' -e 's/[ ]*$//' \
+               | tr ',' '\n' | sort -u | tr '\n' ',' | sed -e 's|,$||'
+}
+
+python_prepare_all() {
+       if use lapack; then
+               append-ldflags "$($(tc-getPKG_CONFIG) --libs-only-other cblas 
lapack)"
+               local libdir="${EPREFIX}"/usr/$(get_libdir)
+               cat >> site.cfg <<-EOF
+                       [blas]
+                       include_dirs = $(pc_incdir cblas)
+                       library_dirs = $(pc_libdir cblas blas):${libdir}
+                       blas_libs = $(pc_libs cblas blas)
+                       [lapack]
+                       library_dirs = $(pc_libdir lapack):${libdir}
+                       lapack_libs = $(pc_libs lapack)
+               EOF
+       else
+               export {ATLAS,PTATLAS,BLAS,LAPACK,MKL}=None
+       fi
+
+       export CC="$(tc-getCC) ${CFLAGS}"
+
+       append-flags -fno-strict-aliasing
+
+       # See progress in http://projects.scipy.org/scipy/numpy/ticket/573
+       # with the subtle difference that we don't want to break Darwin where
+       # -shared is not a valid linker argument
+       if [[ ${CHOST} != *-darwin* ]]; then
+               append-ldflags -shared
+       fi
+
+       # only one fortran to link with:
+       # linking with cblas and lapack library will force
+       # autodetecting and linking to all available fortran compilers
+       append-fflags -fPIC
+       if use lapack; then
+               NUMPY_FCONFIG="config_fc --noopt --noarch"
+               # workaround bug 335908
+               [[ $(tc-getFC) == *gfortran* ]] && NUMPY_FCONFIG+=" 
--fcompiler=gnu95"
+       fi
+
+       # don't version f2py, we will handle it.
+       sed -i -e '/f2py_exe/s:+os\.path.*$::' numpy/f2py/setup.py || die
+
+       # we don't have f2py-3.3
+       sed \
+               -e "/f2py_cmd/s:'f2py'.*:'f2py':g" \
+               -i numpy/tests/test_scripts.py || die
+
+       sed \
+               -e "s:\"cblas\":\"$(pc_libs cblas)\":g" \
+               -i numpy/distutils/system_info.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_compile() {
+       distutils-r1_python_compile -j $(makeopts_jobs) ${NUMPY_FCONFIG}
+}
+
+python_test() {
+       distutils_install_for_testing ${NUMPY_FCONFIG}
+
+       cd "${TMPDIR}" || die
+       ${EPYTHON} -c "
+import numpy, sys
+r = numpy.test(label='full', verbose=3)
+sys.exit(0 if r.wasSuccessful() else 1)" || die "Tests fail with ${EPYTHON}"
+}
+
+python_install() {
+       distutils-r1_python_install ${NUMPY_FCONFIG}
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       dodoc COMPATIBILITY DEV_README.txt THANKS.txt
+
+       if use doc; then
+               dohtml -r "${WORKDIR}"/html/*
+               dodoc "${DISTDIR}"/${PN}-{user,ref}-${DOC_PV}.pdf
+       fi
+
+       # absent in 1.9
+       #docinto f2py
+       #dodoc numpy/f2py/docs/*.txt
+       #doman numpy/f2py/f2py.1
+}

diff --git a/dev-python/numpy/numpy-9999.ebuild 
b/dev-python/numpy/numpy-9999.ebuild
new file mode 100644
index 0000000..e170cb9
--- /dev/null
+++ b/dev-python/numpy/numpy-9999.ebuild
@@ -0,0 +1,138 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+PYTHON_REQ_USE="threads(+)"
+
+FORTRAN_NEEDED=lapack
+
+inherit distutils-r1 eutils flag-o-matic fortran-2 git-r3 multilib 
multiprocessing toolchain-funcs versionator
+
+DOC_PV="1.9.1"
+DOC_P="${PN}-${DOC_PV}"
+
+DESCRIPTION="Fast array and numerical python library"
+HOMEPAGE="http://www.numpy.org/";
+SRC_URI=""
+EGIT_REPO_URI="https://github.com/numpy/numpy.git";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS=""
+IUSE="lapack test"
+
+RDEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       lapack? ( virtual/cblas virtual/lapack )"
+DEPEND="${RDEPEND}
+       lapack? ( virtual/pkgconfig )
+       test? ( >=dev-python/nose-1.0[${PYTHON_USEDEP}] )"
+
+# Uses distutils.command.config.
+DISTUTILS_IN_SOURCE_BUILD=1
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.9.2-no-hardcode-blas.patch
+)
+
+pc_incdir() {
+       $(tc-getPKG_CONFIG) --cflags-only-I $@ | \
+               sed -e 's/^-I//' -e 's/[ ]*-I/:/g' -e 's/[ ]*$//' -e 's|^:||'
+}
+
+pc_libdir() {
+       $(tc-getPKG_CONFIG) --libs-only-L $@ | \
+               sed -e 's/^-L//' -e 's/[ ]*-L/:/g' -e 's/[ ]*$//' -e 's|^:||'
+}
+
+pc_libs() {
+       $(tc-getPKG_CONFIG) --libs-only-l $@ | \
+               sed -e 's/[ ]-l*\(pthread\|m\)\([ ]\|$\)//g' \
+               -e 's/^-l//' -e 's/[ ]*-l/,/g' -e 's/[ ]*$//' \
+               | tr ',' '\n' | sort -u | tr '\n' ',' | sed -e 's|,$||'
+}
+
+python_prepare_all() {
+       if use lapack; then
+               append-ldflags "$($(tc-getPKG_CONFIG) --libs-only-other cblas 
lapack)"
+               local libdir="${EPREFIX}"/usr/$(get_libdir)
+               cat >> site.cfg <<-EOF
+                       [blas]
+                       include_dirs = $(pc_incdir cblas)
+                       library_dirs = $(pc_libdir cblas blas):${libdir}
+                       blas_libs = $(pc_libs cblas blas)
+                       [lapack]
+                       library_dirs = $(pc_libdir lapack):${libdir}
+                       lapack_libs = $(pc_libs lapack)
+               EOF
+       else
+               export {ATLAS,PTATLAS,BLAS,LAPACK,MKL}=None
+       fi
+
+       export CC="$(tc-getCC) ${CFLAGS}"
+
+       append-flags -fno-strict-aliasing
+
+       # See progress in http://projects.scipy.org/scipy/numpy/ticket/573
+       # with the subtle difference that we don't want to break Darwin where
+       # -shared is not a valid linker argument
+       if [[ ${CHOST} != *-darwin* ]]; then
+               append-ldflags -shared
+       fi
+
+       # only one fortran to link with:
+       # linking with cblas and lapack library will force
+       # autodetecting and linking to all available fortran compilers
+       append-fflags -fPIC
+       if use lapack; then
+               NUMPY_FCONFIG="config_fc --noopt --noarch"
+               # workaround bug 335908
+               [[ $(tc-getFC) == *gfortran* ]] && NUMPY_FCONFIG+=" 
--fcompiler=gnu95"
+       fi
+
+       # don't version f2py, we will handle it.
+       sed -i -e '/f2py_exe/s:+os\.path.*$::' numpy/f2py/setup.py || die
+
+       # we don't have f2py-3.3
+       sed \
+               -e "/f2py_cmd/s:'f2py'.*:'f2py':g" \
+               -i numpy/tests/test_scripts.py || die
+
+       sed \
+               -e "s:\"cblas\":\"$(pc_libs cblas)\":g" \
+               -i numpy/distutils/system_info.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_compile() {
+       distutils-r1_python_compile -j $(makeopts_jobs) ${NUMPY_FCONFIG}
+}
+
+python_test() {
+       distutils_install_for_testing ${NUMPY_FCONFIG}
+
+       cd "${TMPDIR}" || die
+       ${EPYTHON} -c "
+import numpy, sys
+r = numpy.test(label='full', verbose=3)
+sys.exit(0 if r.wasSuccessful() else 1)" || die "Tests fail with ${EPYTHON}"
+}
+
+python_install() {
+       distutils-r1_python_install ${NUMPY_FCONFIG}
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       dodoc COMPATIBILITY DEV_README.txt THANKS.txt
+
+       # absent in 1.9
+       #docinto f2py
+       #dodoc numpy/f2py/docs/*.txt
+       #doman numpy/f2py/f2py.1
+}

Reply via email to